@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        @if (componentData.shouldShowFavoriteDashboard) {
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'dashboard'"
            [sqtmCoreAnchorCollapsePanel]="'dashboard'"
            [nzHeader]="dashboardTitle"
            [nzActive]="true"
          >
            <ng-template #dashboardTitle>
              <div
                class="flex-row full-width"
                style="overflow: hidden; justify-content: space-between"
              >
                <div
                  class="entity-view-collapse-panel-title full-width"
                  style="overflow: hidden; justify-content: space-between"
                >
                  @if (componentData.dashboard) {
                    <span>
                      {{ componentData.dashboard.name }}
                    </span>
                  } @else {
                    <div class="entity-view-collapse-panel-title">
                      <span>{{
                        'sqtm-core.generic.label.dashboard.title' | translate
                      }}</span>
                    </div>
                  }
                </div>
                <div class="flex-row">
                  @if (
                    componentData.dashboard &&
                    componentData.favoriteDashboardId != null
                  ) {
                    <div
                      class="txt-ellipsis m-r-10 m-t-2 generated-label label-color"
                    >
                      {{
                        'sqtm-core.generic.date.prefix.generated-on'
                          | translate
                          | capitalize
                      }}
                      {{ componentData.generatedDashboardOn | date: 'medium' }}
                    </div>
                  }
                  @if (componentData.favoriteDashboardId != null) {
                    <button
                      nz-tooltip
                      [nzTooltipTitle]="
                        'sqtm-core.generic.label.refresh'
                          | translate
                          | capitalize
                      "
                      nz-button
                      [nzType]="'primary'"
                      [nzSize]="'small'"
                      class="flex-fixed-size"
                      [attr.data-test-refresh-button-id]="'refresh-button'"
                      (click)="refreshDashboard($event)"
                    >
                      <span>
                        <i nz-icon nzType="reload" nzTheme="outline"></i>
                      </span>
                    </button>
                  }
                  <button
                    class="flex-fixed-size m-l-5"
                    [attr.data-test-element-id]="'favorite-button'"
                    nz-button
                    [nzType]="'primary'"
                    [nzSize]="'small'"
                    nz-tooltip
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.default' | translate
                    "
                    (click)="
                      changeDashboardToDisplay(
                        $event,
                        'default',
                        componentData.lastExecutionScope
                      )
                    "
                  >
                    {{ 'sqtm-core.generic.label.default' | translate }}
                  </button>
                  <ng-container *ngTemplateOutlet="scopeFilter" />
                </div>
              </div>
            </ng-template>
            @if (componentData.dashboard) {
              <div style="height: 84vh" class="full-width">
                @if (
                  componentData.dashboard.chartBindings.length !== 0 ||
                  componentData.dashboard.reportBindings.length !== 0
                ) {
                  <sqtm-app-custom-dashboard
                    [chartBindings]="getChartBindings(componentData.dashboard)"
                  ></sqtm-app-custom-dashboard>
                } @else {
                  <div style="height: 84vh; text-align: center">
                    <span style="font-weight: 600">
                      {{
                        'sqtm-core.custom-report-workspace.dashboard-view.empty-favorite.label'
                          | translate
                      }}
                    </span>
                  </div>
                }
              </div>
            } @else {
              <div
                class="full-width flex-row"
                [attr.data-test-element-id]="'empty-test-plan-error'"
              >
                {{
                  'sqtm-core.generic.workspace.messages.add-favorite-dashboard'
                    | translate
                }}
              </div>
            }
          </nz-collapse-panel>
        } @else {
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'dashboard'"
            [sqtmCoreAnchorCollapsePanel]="'dashboard'"
            [nzHeader]="statisticsTitle"
            [nzActive]="true"
          >
            <ng-template #statisticsTitle>
              <div
                class="flex-row full-width"
                style="overflow: hidden; justify-content: space-between"
              >
                @if (componentData.dashboard) {
                  <span>{{ componentData.dashboard.name }}</span>
                } @else {
                  <div class="entity-view-collapse-panel-title">
                    {{
                      'sqtm-core.campaign-workspace.campaign-page.statistics.blocks.milestone-stats'
                        | translate
                    }}
                  </div>
                }
                <div class="flex-row" style="overflow: hidden">
                  @if (componentData.statistics || componentData.dashboard) {
                    <div
                      class="txt-ellipsis m-r-10 m-t-2 generated-label label-color"
                    >
                      {{
                        'sqtm-core.generic.date.prefix.generated-on'
                          | translate
                          | capitalize
                      }}
                      {{ componentData.generatedDashboardOn | date: 'medium' }}
                    </div>
                  }
                  <button
                    nz-tooltip
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.refresh' | translate | capitalize
                    "
                    nz-button
                    [nzType]="'primary'"
                    [nzSize]="'small'"
                    class="flex-fixed-size"
                    [attr.data-test-refresh-button-id]="'refresh-button'"
                    (click)="
                      refreshStats($event, componentData.lastExecutionScope)
                    "
                  >
                    <span>
                      <i nz-icon nzType="reload" nzTheme="outline"></i>
                    </span>
                  </button>
                  @if (!componentData.shouldShowFavoriteDashboard) {
                    <button
                      class="flex-fixed-size m-l-5"
                      [attr.data-test-element-id]="'favorite-button'"
                      nz-button
                      [nzType]="'primary'"
                      [nzSize]="'small'"
                      nz-tooltip
                      [nzTooltipTitle]="
                        'sqtm-core.generic.label.favorite' | translate
                      "
                      (click)="
                        changeDashboardToDisplay(
                          $event,
                          'dashboard',
                          componentData.lastExecutionScope
                        )
                      "
                    >
                      <span>
                        {{ 'sqtm-core.generic.label.favorite' | translate }}
                      </span>
                    </button>
                  }
                  @if (componentData.shouldShowFavoriteDashboard) {
                    <button
                      class="flex-fixed-size m-l-5"
                      [attr.data-test-element-id]="'favorite-button'"
                      nz-button
                      [nzType]="'primary'"
                      [nzSize]="'small'"
                      nz-tooltip
                      [nzTooltipTitle]="
                        'sqtm-core.generic.label.default' | translate
                      "
                      (click)="
                        changeDashboardToDisplay(
                          $event,
                          'default',
                          componentData.lastExecutionScope
                        )
                      "
                    >
                      {{ 'sqtm-core.generic.label.default' | translate }}
                    </button>
                  }
                  <ng-container *ngTemplateOutlet="scopeFilter" />
                </div>
              </div>
            </ng-template>
            @if (componentData.statistics) {
              <div class="full-width">
                @if (
                  hasTestPlanItems(
                    componentData.statistics.testCaseStatusStatistics
                  )
                ) {
                  <sqtm-app-campaign-statistics-charts-panel
                    [statistics]="componentData.statistics"
                    [disabledExecutionStatus]="
                      componentData.disabledExecutionStatus
                    "
                    [scope]="componentData.scope"
                    [scopeKind]="'project'"
                  ></sqtm-app-campaign-statistics-charts-panel>
                } @else {
                  <div
                    class="full-width flex-row"
                    [attr.data-test-element-id]="'empty-test-plan-error'"
                  >
                    {{
                      'sqtm-core.campaign-workspace.campaign-page.statistics.charts.no-test-plan-items.campaign'
                        | translate
                    }}
                  </div>
                }
              </div>
            } @else {
              <div class="full-width">
                <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
              </div>
            }
          </nz-collapse-panel>
          <nz-collapse-panel [nzHeader]="inventoryTitle" [nzActive]="true">
            <ng-template #inventoryTitle>
              <div class="entity-view-collapse-panel-title">
                {{
                  'sqtm-core.campaign-workspace.campaign-page.statistics.blocks.milestone-inventory'
                    | translate
                }}
              </div>
            </ng-template>
            @if (componentData.statistics) {
              <div class="full-width">
                <sqtm-app-campaign-inventory
                  [inventory]="componentData.statistics.testInventoryStatistics"
                  [disabledExecutionStatus]="
                    componentData.disabledExecutionStatus
                  "
                ></sqtm-app-campaign-inventory>
              </div>
            } @else {
              <div class="full-width">
                <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
              </div>
            }
          </nz-collapse-panel>
        }
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          sqtmCoreAnchorLastPanel
          [nzHeader]="informationTitle"
          class="anchor"
        >
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{
                'sqtm-core.test-case-workspace.title.information' | translate
              }}
            </div>
          </ng-template>
          <div class="sqtm-core-two-column-information-display">
            <span class="label">{{
              'sqtm-core.entity.generic.status.label' | translate
            }}</span
            ><span>{{
              'sqtm-core.entity.milestone.status.' +
                componentData.milestone.status | translate
            }}</span>
            <span class="label">{{
              'sqtm-core.entity.milestone.term.label' | translate
            }}</span
            ><span>{{
              componentData.milestone.endDate
                | date: 'shortDate' : '' : getBrowserLanguage()
            }}</span>
          </div>
        </nz-collapse-panel>
        <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
      </nz-collapse>
    </div>
  </div>
}

<ng-template #scopeFilter>
  @if (componentData$ | async; as componentData) {
    <span class="m-l-10">
      <sqtm-core-filter-icon-menu
        [isChecked]="componentData.lastExecutionScope"
        [checkBoxLabel]="
          'sqtm-core.campaign-workspace.statistics.last-exec-scope.message'
        "
        [helpTooltip]="
          'sqtm-core.campaign-workspace.statistics.last-exec-scope.tooltip'
        "
        (confirmEvent)="changeExtendedScope($event, componentData)"
      >
      </sqtm-core-filter-icon-menu>
    </span>
  }
</ng-template>
